/* @(#)strctrl.h 1.27 Software Membership 11/16/95 */
/*
	SM/Editor - Version 2

    ---------
    Copyright (C) Si-Won Cho
            Dept. of Electrical Engineering
            Dongguk University
            Seoul, KOREA
            chosw@dgu4680.dongguk.ac.kr

            SAMSUNG Electronics
            Software Membership

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    ---------
*/

#define SHIFT_RIGHT     0
#define SHIFT_LEFT      1

extern Boolean ReplaceText;

#ifdef _NO_PROTO
extern void parseFilename();
extern void SetTabSize();
extern void smTextReplace();
extern void smPosToLineColumn();
extern int smTextGetRows();
extern XmTextPosition smTextGetBottomCharacter();
extern void smTextSetInsertionPosition();
extern void smTextSetInsertionLine();
extern Boolean is_space();
extern Boolean is_num();
extern Boolean stob();
extern int search_pair();
extern int find_matching();
extern char *optimize_str();
extern XmTextPosition smFindString();
extern void shiftBlock();
extern void UpperCase();
extern void LowerCase();
#else 	/* _NO_PROTO */
extern void parseFilename(char *, char **, char **);
extern void SetTabSize(Widget, int);
extern void smTextReplace(Widget, XmTextPosition, XmTextPosition, char *);
extern void smPosToLineColumn(Widget, XmTextPosition, int, int *, int *);
extern int smTextGetRows(Widget);
extern XmTextPosition smTextGetBottomCharacter(Widget w);
extern void smTextSetInsertionPosition(Widget, XmTextPosition);
extern void smTextSetInsertionLine(Widget, int);
extern Boolean is_space(char);
extern Boolean is_num(char *);
extern Boolean stob(char *);
extern int search_pair(Widget, XmTextPosition, XmTextPosition *);
extern int find_matching(Widget, XmTextPosition, char *, XmTextPosition *);
extern char *optimize_str(char *);
extern XmTextPosition smFindString(char *, XmTextPosition, char *, XmTextPosition,
	XmTextPosition, XmTextPosition, Boolean, Boolean, Boolean);
extern void shiftBlock(Widget, int, int, int);
extern void UpperCase(Widget);
extern void LowerCase(Widget);
#endif




